MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0028569Open CASCADE[OCCT] OCCT:Foundation Classespublic2017-03-17 17:302018-02-25 21:09
Reporteragv 
Assigned Toagv 
PrioritynormalSeveritytweak 
StatusassignedResolutionopen 
PlatformOSOS Version
Product Version[OCCT] 7.0.0 
Target Version[OCCT] 7.4.0*Fixed in Version 
Summary0028569: Improve the performance of 2d classifier (CSLib_Class2d)
DescriptionCurrent implementation of this algorithm uses plain iteration through a given array of points therefore the complexity is O(n). The performance will be significatly improved if we store sqrt(n) bounding boxes each containing sqrt(n) points; the expected complexity becomes O(sqrt(n)).
Steps To ReproduceN/A
TagsNo tags attached.
Test case number
Attached Files

- Relationships

-  Notes
(0064415)
msv (developer)
2017-03-17 19:11

Please provide your solution.
(0068801)
git (administrator)
2017-07-27 16:35

Branch CR28569 has been created by agv.

SHA-1: 2924e11c37bfb0587d864cb744f841a36db6aa42


Detailed log of new commits:

Author: agv
Date: Thu Jul 27 16:34:17 2017 +0300

    0028569: Improve the performance of 2d classifier (CSLib_Class2d)
    
    changes: CSLib_Class2d (header and source file)
(0068804)
msv (developer)
2017-07-27 16:57

Jenkins job is created
http://jenkins-test-10.nnov.opencascade.com:8080/view/CR28569-master-MSV/ [^]
(0068805)
msv (developer)
2017-07-27 17:16

Remarks:

- Please put information about the matter of the patch into commit message (something like in the description of this bug).

src/CSLib/CSLib_Class2d.cxx
- After the line 70 add comments with short description of the approach.
(0068806)
msv (developer)
2017-07-27 17:24

Dear Alexander, the following compilation error is found under VC10:
src\CSLib\CSLib_Class2d.cxx(72) : error C3861: 'log2': identifier not found
(0068823)
git (administrator)
2017-07-27 20:32

Branch CR28569 has been updated by agv.

SHA-1: 6356dc649016697dee25a086967a69440422a04a


Detailed log of new commits:

Author: agv
Date: Thu Jul 27 20:32:31 2017 +0300

    0028569: Improve the performance of 2d classifier (CSLib_Class2d)
    
    Previous implementation of this algorithm used plain iteration through a given array of points therefore the complexity was O(n). The performance is significatly improved by storing sqrt(n) bounding boxes each containing sqrt(n) points; the expected complexity is now O(sqrt(n)).

(0068824)
msv (developer)
2017-07-28 09:49

No more remarks to the code, let's wait for test results.
(0068869)
git (administrator)
2017-07-30 14:51

Branch CR28569 has been updated forcibly by inv.

SHA-1: a16fd3862a689913c076cc82a969318d7619fde5
(0068887)
msv (developer)
2017-07-31 12:08
edited on: 2017-07-31 12:08

Dear Alexander,
There are regressions, both on tests behaviors and on performance.
OCCT:
http://occt-tests/CR28569-master-MSV-OCCT/Windows-64-VC10/diff_summary.html [^]
Products:
http://occt-tests/CR28569-master-MSV-Products/Windows-64-VC10/diff_summary.html [^]


- Issue History
Date Modified Username Field Change
2017-03-17 17:30 agv New Issue
2017-03-17 17:30 agv Assigned To => abv
2017-03-17 17:31 agv Assigned To abv => msv
2017-03-17 19:11 msv Note Added: 0064415
2017-03-17 19:11 msv Assigned To msv => agv
2017-03-17 19:11 msv Status new => assigned
2017-03-17 19:11 msv Product Version => 7.0.0
2017-03-17 19:12 msv Severity minor => tweak
2017-07-20 12:10 msv Target Version 7.2.0 => 7.3.0
2017-07-27 16:35 git Note Added: 0068801
2017-07-27 16:39 agv Assigned To agv => msv
2017-07-27 16:39 agv Status assigned => resolved
2017-07-27 16:39 agv Steps to Reproduce Updated View Revisions
2017-07-27 16:57 msv Note Added: 0068804
2017-07-27 17:16 msv Note Added: 0068805
2017-07-27 17:16 msv Assigned To msv => agv
2017-07-27 17:16 msv Status resolved => assigned
2017-07-27 17:24 msv Note Added: 0068806
2017-07-27 20:32 git Note Added: 0068823
2017-07-27 20:33 agv Assigned To agv => msv
2017-07-28 09:49 msv Note Added: 0068824
2017-07-28 09:49 msv Assigned To msv => abv
2017-07-28 09:49 msv Status assigned => resolved
2017-07-28 09:49 msv Assigned To abv => msv
2017-07-30 14:51 git Note Added: 0068869
2017-07-31 12:08 msv Note Added: 0068887
2017-07-31 12:08 msv Assigned To msv => agv
2017-07-31 12:08 msv Status resolved => assigned
2017-07-31 12:08 msv Note Edited: 0068887 View Revisions
2018-02-25 21:09 abv Target Version 7.3.0 => 7.4.0*


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker